import { Node as InnerNode, SettingField as InnerSettingField } from '@alilc/lowcode-designer';
import { IShellModelFactory, IPublicModelNode, IPublicModelSettingPropEntry } from '@alilc/lowcode-types';
declare class ShellModelFactory implements IShellModelFactory {
    createNode(node: InnerNode | null | undefined): IPublicModelNode | null;
    createSettingPropEntry(prop: InnerSettingField): IPublicModelSettingPropEntry;
}
export declare const shellModelFactory: ShellModelFactory;
export {};
